<div layout-gt-sm="row" tdMediaToggle="gt-xs" [mediaClasses]="['push-sm']">
  <div flex-gt-sm="100">
    <mat-card>
      <mat-card-title>{{componentData.title}}</mat-card-title>
      <mat-card-subtitle>{{componentData.subtitle}}</mat-card-subtitle>
      <mat-divider></mat-divider>
      <mat-card-content>
        <form [formGroup]="indiceForm" (ngSubmit)="onSubmit()">
          <div layout-gt-sm="row" tdMediaToggle="gt-xs" [mediaClasses]="['push-sm']">
            <div flex-gt-sm="25" class="center-item">
              <mat-list>
                <mat-list-item>
                  <mat-form-field>
                    <mat-select placeholder="Indice" formControlName="indice">
                      <mat-option *ngFor="let indice of dataIndices" [value]="indice.codigo">
                        {{indice.nombre}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </mat-list-item>
                <div *ngIf="submitted && f.indice.errors" style="text-align: center">
                  <div class="error-message" *ngIf="f.indice.errors.required">Indice es requerido</div>
                </div>
              </mat-list>
            </div>
            <div flex-gt-sm="25" class="center-item">
              <mat-list>
                <mat-list-item>
                  <mat-form-field>
                    <mat-select placeholder="Periodo" formControlName="periodo">
                      <mat-option *ngFor="let periodo of dataPeriodos" [value]="periodo.nombre">
                        {{periodo.descripcion}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </mat-list-item>
                <div *ngIf="submitted && f.periodo.errors" style="text-align: center">
                  <div class="error-message" *ngIf="f.periodo.errors.required">Periodo es requerido</div>
                </div>
              </mat-list>
            </div>
            <div flex-gt-sm="25" class="center-item">
              <mat-list>
                <mat-list-item> 
                  <mat-form-field>
                    <input matInput [matDatepicker]="dateStart" [max]="lastDateFinish" placeholder="Fecha inicial"
                      formControlName="f_desde">
                    <mat-datepicker-toggle matSuffix [for]="dateStart"></mat-datepicker-toggle>
                    <mat-datepicker #dateStart></mat-datepicker>
                  </mat-form-field>
                </mat-list-item>
                <div *ngIf="submitted && f.f_desde.errors" style="text-align: center">
                  <div class="error-message" *ngIf="f.f_desde.errors.required">Fecha inicial es requerido</div> 
                  <div class="error-message" *ngIf="f.f_desde.errors.required == undefined && f.f_desde.invalid">No debe ser superior a fecha final</div>
                </div>
              </mat-list>
            </div>
            <div flex-gt-sm="25" class="center-item">
              <mat-list>
                <mat-list-item>
                  <mat-form-field>
                    <input matInput [matDatepicker]="dateEnd" [max]="lastDateStart" (dateChange)="changeDate($event)"
                      placeholder="Fecha final" formControlName="f_hasta">
                    <mat-datepicker-toggle matSuffix [for]="dateEnd"></mat-datepicker-toggle>
                    <mat-datepicker #dateEnd></mat-datepicker>
                  </mat-form-field>
                </mat-list-item>
                <div *ngIf="submitted && f.f_hasta.errors" style="text-align: center">
                  <div class="error-message" *ngIf="f.f_hasta.errors.required">Fecha final es requerido</div>
                </div>
              </mat-list>
            </div>
          </div>
          <div layout-gt-sm="row" tdMediaToggle="gt-xs" [mediaClasses]="['push-sm']">
            <div flex-gt-sm="100" class="center-item">
              <button color="accent" mat-raised-button>Aplicar filtro</button>
            </div>
          </div>
        </form>
      </mat-card-content>
    </mat-card>
    <mat-card>
      <mat-card-content *tdLoading="'overlayStarSyntax'; mode:'indeterminate'; type:'circle'; strategy:'overlay'; color:'accent'"
        class="mat-elevation-z8">
        <div class="md-padding" *ngIf="!viewChart" layout="row" layout-align="center center">
          <h3>No hay información por mostrar.</h3>
        </div>
        <td-chart *ngIf="viewChart" [style.height.px]="400" [config]="config">
        </td-chart>
      </mat-card-content>
    </mat-card>
  </div>
</div>